Subject: bug#6790: Problem(bug?) with basic sort command in Linux

From: "George Thomas Irimben (georgeti)" <[email-masked]>
Date: Wed, 4 Aug 2010 01:32:55 +0530

Hi,
I would like to report a problem(bug?) I am facing with sort command in
Linux.

Sorting of a simple text file using simple sort command is giving me
incorrect result.

Here is the problem:

Text file to sort has 3 lines
my-lnx7% cat y
abc/d,ABC
abc/,XYZ
abc/o,MNO

sort command from Linux is giving me below result(According to me, this
result is incorrect)

my-lnx7% sort y
abc/d,ABC
abc/o,MNO
abc/,XYZ

But, result expected is as below. Because "," is ahead of "d" in ASCII
table. 
Same found working on Unix using same input file, same command line.

abc/,XYZ
abc/d,ABC
abc/o,MNO

Pls let me know if this is a problem in Linux or I am missing something.

Thanks, George